# Content Channel Admin

**Summary:** Endpoints for Content Channel Admin

- Role: [Developers](https://www.subrite.no/developers)
- Source: https://www.subrite.no/developers/content-channel-admin
- Updated: 2026-10-13
- Markdown index: https://www.subrite.no/developers/llms.txt

<a id="get-api-v1-content-channel-admin"></a>
## Get all content channels

`GET /api/v1/content-channel-admin`

**Authentication:** Bearer token (JWT)

### Responses

#### 200

Content type: `application/json` · `array of ContentChannel`

| Name | Type | Description |
| --- | --- | --- |
| `[].id` (Required when parent is present) | `number` |   |
| `[].name` (Required when parent is present) | `string` |   |
| `[].description` (Required when parent is present) | `string` |   |
| `[].tenant` (Required when parent is present) | `Tenant` |   |
| `[].tenant.market` (Required when parent is present) | `string` | Operating market of the tenant (immutable post-install). · Allowed values: `"NO"`, `"SE"`, `"DK"` |
| `[].tenant.productName` | `string` | The product name of the tenant · Allowed values: `"enterprise"`, `"communication"`, `"custom"` |
| `[].tenant.additionalFeatures` | `array of string` | The additional features of the tenant · Allowed values: `"email"`, `"sms"`, `"push"`, `"podcasts"`, `"subscription"`, `"insights"`, `"dashboard"`, `"automation"`, `"export"`, `"accounting"`, `"invoices"`, `"ai"` |
| `[].tenant.disabledFeatures` | `array of string` | The disabled features of the tenant · Allowed values: `"email"`, `"sms"`, `"push"`, `"podcasts"`, `"subscription"`, `"insights"`, `"dashboard"`, `"automation"`, `"export"`, `"accounting"`, `"invoices"`, `"ai"` |
| `[].tenant.name` (Required when parent is present) | `string` |   |
| `[].tenant.isActive` (Required when parent is present) | `boolean` |   |
| `[].tenant.defaultLanguage` (Required when parent is present) | `string` | Allowed values: `"en"`, `"no"`, `"sv"`, `"da"` |
| `[].tenant.hostName` (Required when parent is present) | `string` |   |
| `[].tenant.logo` (Required when parent is present) | `string` |   |
| `[].tenant.favicon` (Required when parent is present) | `string` |   |
| `[].tenant.authLogo` (Required when parent is present) | `string` |   |
| `[].tenant.authLogoHeight` (Required when parent is present) | `number` |   |
| `[].tenant.siteUrl` (Required when parent is present) | `string` |   |
| `[].tenant.termsUrl` (Required when parent is present) | `string` |   |
| `[].tenant.privacyUrl` (Required when parent is present) | `string` |   |
| `[].tenant.gtm` (Required when parent is present) | `string` |   |
| `[].tenant.taxRates` | `array of number` |   |
| `[].tenant.smsOtp` (Required when parent is present) | `boolean` |   |
| `[].tenant.emailProvider` (Required when parent is present) | `string` | Allowed values: `"brevo"`, `"sendgrid"` |
| `[].tenant.tenantContact` (Required when parent is present) | `string` |   |
| `[].tenant.registeredBusinessNo` (Required when parent is present) | `string` |   |
| `[].tenant.bankAccountNo` (Required when parent is present) | `string` |   |
| `[].tenant.swiftCode` (Required when parent is present) | `string` |   |
| `[].tenant.iban` (Required when parent is present) | `string` |   |
| `[].tenant.defaultLogoutURL` (Required when parent is present) | `string` |   |
| `[].tenant.postalAddress` (Required when parent is present) | `string` |   |
| `[].tenant.otpTemplateId` | `Translation` |   |
| `[].tenant.otpTemplateId.en` (Required when parent is present) | `string` |   |
| `[].tenant.otpTemplateId.no` (Required when parent is present) | `string` |   |
| `[].tenant.otpTemplateId.sv` | `string` |   |
| `[].tenant.otpTemplateId.da` | `string` |   |
| `[].tenant.otpTemplateId.key` | `string` |   |
| `[].tenant.smsSenderId` (Required when parent is present) | `number` |   |
| `[].tenant.emailSenderId` (Required when parent is present) | `number` |   |
| `[].tenant.smsSender` (Required when parent is present) | `CommunicationSender` | Nested fields omitted: field limit. |
| `[].tenant.emailSender` (Required when parent is present) | `CommunicationSender` | Nested fields omitted: field limit. |
| `[].tenant.products` (Required when parent is present) | `array of Product` | Nested fields omitted: field limit. |
| `[].tenant.users` (Required when parent is present) | `array of User` | Nested fields omitted: field limit. |
| `[].tenant.members` (Required when parent is present) | `array of Member` | Nested fields omitted: field limit. |
| `[].tenant.roles` (Required when parent is present) | `array of Role` | Nested fields omitted: field limit. |
| `[].tenant.subscriptionPlans` (Required when parent is present) | `array of SubscriptionPlan` | Nested fields omitted: field limit. |
| `[].tenant.packages` (Required when parent is present) | `array of Package` | Nested fields omitted: field limit. |
| `[].tenant.invoices` (Required when parent is present) | `array of Invoice` | Nested fields omitted: field limit. |
| `[].tenant.orders` (Required when parent is present) | `array of Order` | Nested fields omitted: field limit. |
| `[].tenant.paymentProviders` (Required when parent is present) | `array of PaymentProviderConfig` | Nested fields omitted: field limit. |
| `[].tenant.newslettersProviderConfig` (Required when parent is present) | `array of NewsletterProviderConfig` | Nested fields omitted: field limit. |
| `[].tenant.paymentProviderConfigs` (Required when parent is present) | `array of PaymentProviderConfig` | Nested fields omitted: field limit. |
| `[].tenant.oidcClients` (Required when parent is present) | `array of OidcClient` | Nested fields omitted: field limit. |
| `[].tenant.oauthProviders` (Required when parent is present) | `array of OauthProvider` | Nested fields omitted: field limit. |
| `[].tenant.activityLogs` (Required when parent is present) | `array of ActivityLog` | Nested fields omitted: field limit. |
| `[].tenant.m2m_api_clients` (Required when parent is present) | `array of M2MApiClient` | Nested fields omitted: field limit. |
| `[].tenant.customProperties` (Required when parent is present) | `array of CustomProperty` | Nested fields omitted: field limit. |
| `[].tenant.consents` (Required when parent is present) | `array of Consent` | Nested fields omitted: field limit. |
| `[].tenant.preference` (Required when parent is present) | `Preference` | Nested fields omitted: field limit. |
| `[].tenant.settings` (Required when parent is present) | `TenantSettings` | Nested fields omitted: field limit. |
| `[].tenant.communicationTemplates` (Required when parent is present) | `array of CommunicationTemplate` | Nested fields omitted: field limit. |
| `[].tenant.additionalHostnames` (Required when parent is present) | `array of TenantHostname` | Nested fields omitted: field limit. |
| `[].tenant.exportHistory` (Required when parent is present) | `array of ExportHistory` | Nested fields omitted: field limit. |
| `[].tenant.arReportHistory` (Required when parent is present) | `array of ArReportHistory` | Nested fields omitted: field limit. |
| `[].tenant.mypageCardsSettings` (Required when parent is present) | `array of MypageCardsSettings` | Nested fields omitted: field limit. |
| `[].tenant.webhooks` (Required when parent is present) | `array of Webhook` | Nested fields omitted: field limit. |
| `[].tenant.customOrders` (Required when parent is present) | `array of CustomOrder` | Nested fields omitted: field limit. |
| `[].tenant.customOrderSources` (Required when parent is present) | `array of CustomOrderSource` | Nested fields omitted: field limit. |
| `[].tenant.brandKits` (Required when parent is present) | `array of BrandKit` | Nested fields omitted: field limit. |
| `[].tenant.communicationReceivers` (Required when parent is present) | `array of CommunicationReceiver` | Nested fields omitted: field limit. |
| `[].tenant.id` (Required when parent is present) | `number` |   |
| `[].tenant.createdAt` (Required when parent is present) | `string (date-time)` |   |
| `[].tenant.updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].tenant.deletedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].tenant.metaData` (Required when parent is present) | `object` |   |
| `[].tenantId` (Required when parent is present) | `number` |   |
| `[].createdAt` (Required when parent is present) | `string (date-time)` |   |
| `[].updatedAt` (Required when parent is present) | `string (date-time)` |   |

#### 401

unauthorized

### Example request

```bash
curl https://api.subrite.no/api/v1/content-channel-admin \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
[
  {
    "id": 0,
    "name": "string",
    "description": "string",
    "tenant": {
      "additionalFeatures": [],
      "disabledFeatures": [],
      "taxRates": [],
      "products": [],
      "users": [],
      "members": [],
      "roles": [],
      "subscriptionPlans": [],
      "packages": [],
      "invoices": [],
      "orders": [],
      "paymentProviders": [],
      "newslettersProviderConfig": [],
      "paymentProviderConfigs": [],
      "oidcClients": [],
      "oauthProviders": [],
      "activityLogs": [],
      "m2m_api_clients": [],
      "customProperties": [],
      "consents": [],
      "communicationTemplates": [],
      "additionalHostnames": [],
      "exportHistory": [],
      "arReportHistory": [],
      "mypageCardsSettings": [],
      "webhooks": [],
      "customOrders": [],
      "customOrderSources": [],
      "brandKits": [],
      "communicationReceivers": [],
      "metaData": {}
    },
    "tenantId": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
]
```

<a id="post-api-v1-content-channel-admin"></a>
## Create a new content channel

`POST /api/v1/content-channel-admin`

**Authentication:** Bearer token (JWT)

### Request body

Content type: `application/json` · Required · `CreateContentChannelDto`

| Name | Type | Description |
| --- | --- | --- |
| `name` (Required) | `string` | `maxLength`: `1024` |
| `description` | `string` | `maxLength`: `1024` |

**Example request body**

`application/json`

```json
{
  "name": "string",
  "description": "string"
}
```

### Responses

#### 201

Content type: `application/json` · `ContentChannel`

| Name | Type | Description |
| --- | --- | --- |
| `id` (Required) | `number` |   |
| `name` (Required) | `string` |   |
| `description` (Required) | `string` |   |
| `tenant` (Required) | `Tenant` |   |
| `tenant.market` (Required) | `string` | Operating market of the tenant (immutable post-install). · Allowed values: `"NO"`, `"SE"`, `"DK"` |
| `tenant.productName` | `string` | The product name of the tenant · Allowed values: `"enterprise"`, `"communication"`, `"custom"` |
| `tenant.additionalFeatures` | `array of string` | The additional features of the tenant · Allowed values: `"email"`, `"sms"`, `"push"`, `"podcasts"`, `"subscription"`, `"insights"`, `"dashboard"`, `"automation"`, `"export"`, `"accounting"`, `"invoices"`, `"ai"` |
| `tenant.disabledFeatures` | `array of string` | The disabled features of the tenant · Allowed values: `"email"`, `"sms"`, `"push"`, `"podcasts"`, `"subscription"`, `"insights"`, `"dashboard"`, `"automation"`, `"export"`, `"accounting"`, `"invoices"`, `"ai"` |
| `tenant.name` (Required) | `string` |   |
| `tenant.isActive` (Required) | `boolean` |   |
| `tenant.defaultLanguage` (Required) | `string` | Allowed values: `"en"`, `"no"`, `"sv"`, `"da"` |
| `tenant.hostName` (Required) | `string` |   |
| `tenant.logo` (Required) | `string` |   |
| `tenant.favicon` (Required) | `string` |   |
| `tenant.authLogo` (Required) | `string` |   |
| `tenant.authLogoHeight` (Required) | `number` |   |
| `tenant.siteUrl` (Required) | `string` |   |
| `tenant.termsUrl` (Required) | `string` |   |
| `tenant.privacyUrl` (Required) | `string` |   |
| `tenant.gtm` (Required) | `string` |   |
| `tenant.taxRates` | `array of number` |   |
| `tenant.smsOtp` (Required) | `boolean` |   |
| `tenant.emailProvider` (Required) | `string` | Allowed values: `"brevo"`, `"sendgrid"` |
| `tenant.tenantContact` (Required) | `string` |   |
| `tenant.registeredBusinessNo` (Required) | `string` |   |
| `tenant.bankAccountNo` (Required) | `string` |   |
| `tenant.swiftCode` (Required) | `string` |   |
| `tenant.iban` (Required) | `string` |   |
| `tenant.defaultLogoutURL` (Required) | `string` |   |
| `tenant.postalAddress` (Required) | `string` |   |
| `tenant.otpTemplateId` | `Translation` |   |
| `tenant.otpTemplateId.en` (Required when parent is present) | `string` |   |
| `tenant.otpTemplateId.no` (Required when parent is present) | `string` |   |
| `tenant.otpTemplateId.sv` | `string` |   |
| `tenant.otpTemplateId.da` | `string` |   |
| `tenant.otpTemplateId.key` | `string` |   |
| `tenant.smsSenderId` (Required) | `number` |   |
| `tenant.emailSenderId` (Required) | `number` |   |
| `tenant.smsSender` (Required) | `CommunicationSender` | Nested fields omitted: field limit. |
| `tenant.emailSender` (Required) | `CommunicationSender` | Nested fields omitted: field limit. |
| `tenant.products` (Required) | `array of Product` | Nested fields omitted: field limit. |
| `tenant.users` (Required) | `array of User` | Nested fields omitted: field limit. |
| `tenant.members` (Required) | `array of Member` | Nested fields omitted: field limit. |
| `tenant.roles` (Required) | `array of Role` | Nested fields omitted: field limit. |
| `tenant.subscriptionPlans` (Required) | `array of SubscriptionPlan` | Nested fields omitted: field limit. |
| `tenant.packages` (Required) | `array of Package` | Nested fields omitted: field limit. |
| `tenant.invoices` (Required) | `array of Invoice` | Nested fields omitted: field limit. |
| `tenant.orders` (Required) | `array of Order` | Nested fields omitted: field limit. |
| `tenant.paymentProviders` (Required) | `array of PaymentProviderConfig` | Nested fields omitted: field limit. |
| `tenant.newslettersProviderConfig` (Required) | `array of NewsletterProviderConfig` | Nested fields omitted: field limit. |
| `tenant.paymentProviderConfigs` (Required) | `array of PaymentProviderConfig` | Nested fields omitted: field limit. |
| `tenant.oidcClients` (Required) | `array of OidcClient` | Nested fields omitted: field limit. |
| `tenant.oauthProviders` (Required) | `array of OauthProvider` | Nested fields omitted: field limit. |
| `tenant.activityLogs` (Required) | `array of ActivityLog` | Nested fields omitted: field limit. |
| `tenant.m2m_api_clients` (Required) | `array of M2MApiClient` | Nested fields omitted: field limit. |
| `tenant.customProperties` (Required) | `array of CustomProperty` | Nested fields omitted: field limit. |
| `tenant.consents` (Required) | `array of Consent` | Nested fields omitted: field limit. |
| `tenant.preference` (Required) | `Preference` | Nested fields omitted: field limit. |
| `tenant.settings` (Required) | `TenantSettings` | Nested fields omitted: field limit. |
| `tenant.communicationTemplates` (Required) | `array of CommunicationTemplate` | Nested fields omitted: field limit. |
| `tenant.additionalHostnames` (Required) | `array of TenantHostname` | Nested fields omitted: field limit. |
| `tenant.exportHistory` (Required) | `array of ExportHistory` | Nested fields omitted: field limit. |
| `tenant.arReportHistory` (Required) | `array of ArReportHistory` | Nested fields omitted: field limit. |
| `tenant.mypageCardsSettings` (Required) | `array of MypageCardsSettings` | Nested fields omitted: field limit. |
| `tenant.webhooks` (Required) | `array of Webhook` | Nested fields omitted: field limit. |
| `tenant.customOrders` (Required) | `array of CustomOrder` | Nested fields omitted: field limit. |
| `tenant.customOrderSources` (Required) | `array of CustomOrderSource` | Nested fields omitted: field limit. |
| `tenant.brandKits` (Required) | `array of BrandKit` | Nested fields omitted: field limit. |
| `tenant.communicationReceivers` (Required) | `array of CommunicationReceiver` | Nested fields omitted: field limit. |
| `tenant.id` (Required) | `number` |   |
| `tenant.createdAt` (Required) | `string (date-time)` |   |
| `tenant.updatedAt` (Required) | `string (date-time)` |   |
| `tenant.deletedAt` (Required) | `string (date-time)` |   |
| `tenant.metaData` (Required) | `object` |   |
| `tenantId` (Required) | `number` |   |
| `createdAt` (Required) | `string (date-time)` |   |
| `updatedAt` (Required) | `string (date-time)` |   |

#### 400

Content type: `application/json` · `ErrorResponse`

shouldNotBeEmpty

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` |   |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

### Example request

```bash
curl https://api.subrite.no/api/v1/content-channel-admin \
  --request POST \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string",
  "description": "string"
}'
```

### Example response

201 · `application/json`

```json
{
  "id": 0,
  "name": "string",
  "description": "string",
  "tenant": {
    "market": "NO",
    "productName": "enterprise",
    "additionalFeatures": [],
    "disabledFeatures": [],
    "name": "string",
    "isActive": true,
    "defaultLanguage": "en",
    "hostName": "string",
    "logo": "string",
    "favicon": "string",
    "authLogo": "string",
    "authLogoHeight": 0,
    "siteUrl": "string",
    "termsUrl": "string",
    "privacyUrl": "string",
    "gtm": "string",
    "taxRates": [],
    "smsOtp": true,
    "emailProvider": "brevo",
    "tenantContact": "string",
    "registeredBusinessNo": "string",
    "bankAccountNo": "string",
    "swiftCode": "string",
    "iban": "<iban>",
    "defaultLogoutURL": "string",
    "postalAddress": "<postalAddress>",
    "otpTemplateId": {},
    "smsSenderId": 0,
    "emailSenderId": 0,
    "smsSender": {
      "metaData": {}
    },
    "emailSender": {
      "metaData": {}
    },
    "products": [],
    "users": [],
    "members": [],
    "roles": [],
    "subscriptionPlans": [],
    "packages": [],
    "invoices": [],
    "orders": [],
    "paymentProviders": [],
    "newslettersProviderConfig": [],
    "paymentProviderConfigs": [],
    "oidcClients": [],
    "oauthProviders": [],
    "activityLogs": [],
    "m2m_api_clients": [],
    "customProperties": [],
    "consents": [],
    "preference": {
      "inputFieldConfig": [],
      "customFieldsOnMemberCard": [],
      "customFieldsOnInvoice": [],
      "visibleAdditionalFieldsOnMypage": [],
      "metaData": {}
    },
    "settings": {
      "aiResidency": {},
      "metaData": {}
    },
    "communicationTemplates": [],
    "additionalHostnames": [],
    "exportHistory": [],
    "arReportHistory": [],
    "mypageCardsSettings": [],
    "webhooks": [],
    "customOrders": [],
    "customOrderSources": [],
    "brandKits": [],
    "communicationReceivers": [],
    "id": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z",
    "metaData": {}
  },
  "tenantId": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```

<a id="put-api-v1-content-channel-admin-id"></a>
## ContentChannelAdminController\_updateContentChannel\_v1

`PUT /api/v1/content-channel-admin/{id}`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `id` (Required) | path | `number` |   |

### Request body

Content type: `application/json` · Required · `UpdateContentChannelDto`

| Name | Type | Description |
| --- | --- | --- |
| `name` | `string` | `maxLength`: `1024` |
| `description` | `string` | `maxLength`: `1024` |

**Example request body**

`application/json`

```json
{
  "name": "string",
  "description": "string"
}
```

### Responses

#### 200

Content type: `application/json` · `ContentChannel`

Same fields as [Create a new content channel (201)](https://www.subrite.no/developers/content-channel-admin?md=true#post-api-v1-content-channel-admin).

#### 401

unauthorized

#### 404

Content type: `application/json` · `ErrorResponse`

contentChannelNotFound

Same fields as [Create a new content channel (400)](https://www.subrite.no/developers/content-channel-admin?md=true#post-api-v1-content-channel-admin).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

### Example request

```bash
curl 'https://api.subrite.no/api/v1/content-channel-admin/{id}' \
  --request PUT \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string",
  "description": "string"
}'
```

### Example response

200 · `application/json`

```json
{
  "id": 0,
  "name": "string",
  "description": "string",
  "tenant": {
    "market": "NO",
    "productName": "enterprise",
    "additionalFeatures": [],
    "disabledFeatures": [],
    "name": "string",
    "isActive": true,
    "defaultLanguage": "en",
    "hostName": "string",
    "logo": "string",
    "favicon": "string",
    "authLogo": "string",
    "authLogoHeight": 0,
    "siteUrl": "string",
    "termsUrl": "string",
    "privacyUrl": "string",
    "gtm": "string",
    "taxRates": [],
    "smsOtp": true,
    "emailProvider": "brevo",
    "tenantContact": "string",
    "registeredBusinessNo": "string",
    "bankAccountNo": "string",
    "swiftCode": "string",
    "iban": "<iban>",
    "defaultLogoutURL": "string",
    "postalAddress": "<postalAddress>",
    "otpTemplateId": {},
    "smsSenderId": 0,
    "emailSenderId": 0,
    "smsSender": {
      "metaData": {}
    },
    "emailSender": {
      "metaData": {}
    },
    "products": [],
    "users": [],
    "members": [],
    "roles": [],
    "subscriptionPlans": [],
    "packages": [],
    "invoices": [],
    "orders": [],
    "paymentProviders": [],
    "newslettersProviderConfig": [],
    "paymentProviderConfigs": [],
    "oidcClients": [],
    "oauthProviders": [],
    "activityLogs": [],
    "m2m_api_clients": [],
    "customProperties": [],
    "consents": [],
    "preference": {
      "inputFieldConfig": [],
      "customFieldsOnMemberCard": [],
      "customFieldsOnInvoice": [],
      "visibleAdditionalFieldsOnMypage": [],
      "metaData": {}
    },
    "settings": {
      "aiResidency": {},
      "metaData": {}
    },
    "communicationTemplates": [],
    "additionalHostnames": [],
    "exportHistory": [],
    "arReportHistory": [],
    "mypageCardsSettings": [],
    "webhooks": [],
    "customOrders": [],
    "customOrderSources": [],
    "brandKits": [],
    "communicationReceivers": [],
    "id": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z",
    "metaData": {}
  },
  "tenantId": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```

<a id="delete-api-v1-content-channel-admin-id"></a>
## Delete a content channel

`DELETE /api/v1/content-channel-admin/{id}`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `id` (Required) | path | `number` |   |

### Responses

#### 200

#### 401

unauthorized

#### 404

Content type: `application/json` · `ErrorResponse`

contentChannelNotFound

Same fields as [Create a new content channel (400)](https://www.subrite.no/developers/content-channel-admin?md=true#post-api-v1-content-channel-admin).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

### Example request

```bash
curl 'https://api.subrite.no/api/v1/content-channel-admin/{id}' \
  --request DELETE \
  --header 'Authorization: Bearer <token>'
```

<a id="get-api-v1-content-channel-admin-id-products"></a>
## ContentChannelAdminController\_getProductsByContentChannelId\_v1

`GET /api/v1/content-channel-admin/{id}/products`

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `id` (Required) | path | `number` |   |

### Responses

#### 200

Content type: `application/json` · `array of ContentProductDto`

| Name | Type | Description |
| --- | --- | --- |
| `[].productId` (Required when parent is present) | `number` |   |
| `[].productName` (Required when parent is present) | `string` |   |

### Example request

```bash
curl 'https://api.subrite.no/api/v1/content-channel-admin/{id}/products'
```

### Example response

200 · `application/json`

```json
[
  {
    "productId": 0,
    "productName": "string"
  }
]
```

<a id="post-api-v1-content-channel-admin-contentchannelid-products-productid"></a>
## ContentChannelAdminController\_addProductToContentChannel\_v1

`POST /api/v1/content-channel-admin/{contentChannelId}/products/{productId}`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `contentChannelId` (Required) | path | `number` |   |
| `productId` (Required) | path | `number` |   |

### Responses

#### 201

#### 401

unauthorized

#### 404

Content type: `application/json` · `ErrorResponse`

contentChannelNotFound

Same fields as [Create a new content channel (400)](https://www.subrite.no/developers/content-channel-admin?md=true#post-api-v1-content-channel-admin).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

### Example request

```bash
curl 'https://api.subrite.no/api/v1/content-channel-admin/{contentChannelId}/products/{productId}' \
  --request POST \
  --header 'Authorization: Bearer <token>'
```

<a id="delete-api-v1-content-channel-admin-contentchannelid-products-productid"></a>
## ContentChannelAdminController\_removeProductFromContentChannel\_v1

`DELETE /api/v1/content-channel-admin/{contentChannelId}/products/{productId}`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `contentChannelId` (Required) | path | `number` |   |
| `productId` (Required) | path | `number` |   |

### Responses

#### 200

#### 401

unauthorized

#### 404

Content type: `application/json` · `ErrorResponse`

contentChannelNotFound

Same fields as [Create a new content channel (400)](https://www.subrite.no/developers/content-channel-admin?md=true#post-api-v1-content-channel-admin).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

### Example request

```bash
curl 'https://api.subrite.no/api/v1/content-channel-admin/{contentChannelId}/products/{productId}' \
  --request DELETE \
  --header 'Authorization: Bearer <token>'
```
